package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MonElecOperationLog;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @className: MonElecOperationLogMapper
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 17:26
 * @Company: Copyright© [2023/04/28 17:26] by [Mr.Yanghongtao]
 **/
public interface MonElecOperationLogMapper extends BaseMapper<MonElecOperationLog> {
    int deleteByPrimaryKey(String logId);

    int insert(MonElecOperationLog record);

    int insertOrUpdate(MonElecOperationLog record);

    int insertOrUpdateSelective(MonElecOperationLog record);

    int insertSelective(MonElecOperationLog record);

    MonElecOperationLog selectByPrimaryKey(String logId);

    int updateByPrimaryKeySelective(MonElecOperationLog record);

    int updateByPrimaryKey(MonElecOperationLog record);

    int updateBatch(List<MonElecOperationLog> list);

    int updateBatchSelective(List<MonElecOperationLog> list);

    int batchInsert(@Param("list") List<MonElecOperationLog> list);
}